> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find email

> Returns the email address for a single contact.
    Supply either (1) first_name, last_name, and domain or (2) linkedin_url.



## OpenAPI

````yaml post /v1/emails/find
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/emails/find:
    post:
      tags:
        - email
      summary: Find email
      description: |-
        Returns the email address for a single contact.
            Supply either (1) first_name, last_name, and domain or (2) linkedin_url.
      operationId: email_search_v1_emails_find_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailSearchRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                success: true
                email: joseph@example.com
                email_status: VALID
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    EmailSearchRequest:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Contact first name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Contact last name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: >-
            Company website domain (e.g., 'acme.com'). 'https://acme.com' is
            accepted and normalized.
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin Url
          description: Public LinkedIn profile URL of the contact
      type: object
      title: EmailSearchRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````